<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_6f65d5feee27b320b6f7785c82762a7" . "2" => base64_decode("dXNlcnNfbGlzdC52aXNpYm" . "xl"), "rig" . "hts" => base64_decode("cmlnaH" . "Rz"), "_923b46b96d9db24c4faa35027fc77b" . "71" => base64_decode("Q29udHJvbCBjYW4ndCBpbnB1dCB0aGUgZGF0Y" . "Q=="), "_4be538b2f65f8d8f8dde8a914f61" . "0076" => base64_decode("Vmlldw" . "=="));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["rig" . "hts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4be538b2f65f8d8f8dde8a914f6100" . "76"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_923b46b96d9db24c4" . "faa35027fc77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_6f65d5feee27b320b6f7785c82762a7" . "2"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4be538b2f65f8d8f8" . "dde8a914f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}